#pragma once

#include "CoreMinimal.h"
#include "TrailControllerBase.h"
#include "ReplicatedTrailPointList.h"
#include "TormentTrailController.generated.h"

UCLASS(Blueprintable)
class ATormentTrailController : public ATrailControllerBase
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Replicated, meta=(AllowPrivateAccess=true))
	FReplicatedTrailPointList _trailPointList;

public:
	virtual void GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const override;

public:
	ATormentTrailController();
};

FORCEINLINE uint32 GetTypeHash(const ATormentTrailController) { return 0; }
